org.keycloak.models.map.group

## Class AbstractGroupModel<E extends AbstractEntity>

- java.lang.Object
- - org.keycloak.models.map.group.AbstractGroupModel<E>

- All Implemented Interfaces:
    GroupModel, GroupModel.Streams, RoleMapperModel, RoleMapperModel.Streams
  Direct Known Subclasses:
    MapGroupAdapter

      public abstract class AbstractGroupModel<E extends AbstractEntity>
      extends Object
      implements GroupModel.Streams

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.keycloak.models.GroupModel

      `GroupModel.GroupRemovedEvent, GroupModel.SearchableFields, GroupModel.Streams`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected E` | `entity`
    `protected RealmModel` | `realm`
    `protected KeycloakSession` | `session`

    - ### Fields inherited from interface org.keycloak.models.GroupModel

      `COMPARE_BY_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractGroupModel(KeycloakSession session, RealmModel realm, E entity)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `int` | `hashCode()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.models.GroupModel.Streams

      `getAttribute, getAttributeStream, getSubGroups, getSubGroupsStream`

    - ### Methods inherited from interface org.keycloak.models.GroupModel

      `addChild, getAttributes, getFirstAttribute, getId, getName, getParent, getParentId, removeAttribute, removeChild, setAttribute, setName, setParent, setSingleAttribute`

    - ### Methods inherited from interface org.keycloak.models.RoleMapperModel.Streams

      `getClientRoleMappings, getClientRoleMappingsStream, getRealmRoleMappings, getRealmRoleMappingsStream, getRoleMappings, getRoleMappingsStream`

    - ### Methods inherited from interface org.keycloak.models.RoleMapperModel

      `deleteRoleMapping, grantRole, hasRole`

- - ### Field Detail

    - #### session

          protected final KeycloakSession session

    - #### realm

          protected final RealmModel realm

    - #### entity

          protected final E extends AbstractEntity entity

  - ### Constructor Detail

    - #### AbstractGroupModel

          public AbstractGroupModel(KeycloakSession session,
                                    RealmModel realm,
                                    E entity)

  - ### Method Detail

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2021 JBoss by Red Hat. All rights reserved.